Vinix· docs

Get status for multiple queues

Sandbox is coming soon

Today, requests on this page run against your live account. A hosted sandbox with simulated PSTN is on the roadmap — until then, use a non-production user or callflow when experimenting.

Details
GET
/accounts/{account_id}/qubicle_queues/status

Authorization

AuthToken
X-Auth-Token<token>

Obtain via PUT /v2/user_auth or PUT /v2/api_auth. See Authentication.

In: header

Path Parameters

account_id*string

Vinix account identifier.

Query Parameters

queue_ids?string

Comma-separated queue IDs. Omit for all.

Response Body

application/json

application/json

curl -X GET "https://example.com/accounts/string/qubicle_queues/status"
{
  "property1": {
    "queue_id": "cefd6192-7a66-4699-a2fc-dbb7f43ad507",
    "callers_waiting": 0,
    "recipients_available": 0,
    "recipients_total": 0,
    "longest_wait_seconds": 0
  },
  "property2": {
    "queue_id": "cefd6192-7a66-4699-a2fc-dbb7f43ad507",
    "callers_waiting": 0,
    "recipients_available": 0,
    "recipients_total": 0,
    "longest_wait_seconds": 0
  }
}
{
  "message": "string",
  "request_id": "string"
}